Return Periods Tools {POT} | R Documentation

## Converts Return Periods to Probability and Vice Versa

### Description

Compute return period from probability of non exceedance and vice versa.

### Usage

    rp2prob(retper, npy)
    prob2rp(prob, npy)

### Arguments

`retper` | The return period.
`prob` | the probability of non exceedance.
`npy` | The mean Number of events per year (block).

### Details

The return period is defined by:

T = 1 / (npy (1-p))

where npy is the mean number of events per year (block), p is the probability of non exceedance.

### Value

Returns a table with mean numbers of events per year, return periods and probabilities of non exceedance associated.

### Author(s)

Mathieu Ribatet

### Examples

    rp2prob(50, 1.8)
    prob2rp(0.6, 2.2)

[Package POT version 1.1-7 Index]